apiVersion: apps/v1
kind: Deployment
metadata:
  name: event-service
  namespace: kt-event-marketing
  labels:
    app: event-service
spec:
  replicas: 1
  selector:
    matchLabels:
      app: event-service
  template:
    metadata:
      labels:
        app: event-service
    spec:
      imagePullSecrets:
        - name: kt-event-marketing
      containers:
        - name: event-service
          image: acrdigitalgarage01.azurecr.io/kt-event-marketing/event-service:dev
          imagePullPolicy: Always
          ports:
            - containerPort: 8080
              name: http
          envFrom:
            - configMapRef:
                name: cm-common
            - configMapRef:
                name: cm-event-service
            - secretRef:
                name: secret-common
            - secretRef:
                name: secret-event-service
          resources:
            requests:
              cpu: "256m"
              memory: "256Mi"
            limits:
              cpu: "1024m"
              memory: "1024Mi"
#          startupProbe:
#            httpGet:
#              path: /api/v1/actuator/health
#              port: 8080
#            initialDelaySeconds: 30
#            periodSeconds: 10
#            failureThreshold: 30
#          readinessProbe:
#            httpGet:
#              path: /api/v1/actuator/health/readiness
#              port: 8080
#            initialDelaySeconds: 10
#            periodSeconds: 5
#            failureThreshold: 3
#          livenessProbe:
#            httpGet:
#              path: /api/v1/actuator/health/liveness
#              port: 8080
#            initialDelaySeconds: 30
#            periodSeconds: 10
#            failureThreshold: 3
